drop database emaille;
drop role alfred;
create database emaille;
create role alfred with password 'mad';
alter role alfred with login;
\connect emaille

create table person (
       id serial, 
       nname varchar(20), 
       vname varchar(20), 
       primary key (id)
);

create table emaille (
       emaille varchar(40) not null, 
       person int,
       primary key (emaille)
);

insert into person (nname, vname) values ('neumann', 'alfred e.');
insert into emaille values (
   'alfred@mad.org', 
   (select id from person where nname like 'neumann') 
); 
insert into emaille values (
   'alfred.e.neumann@wara.de',
   (select id from person where nname like 'neumann')
);
            
grant all on person to alfred;
grant all on emaille to alfred;
grant all on person_id_seq to alfred;
